
Infrastructure - Task #3771

Story # 3770 (Closed): member nodes want to be able to use libclient without having to rely on maven

create maven assembly configuration to build the archive

2013-05-17 21:09 - Rob Nahf

Status: Closed Start date: 2013-05-17

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.22-Block.3.3   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2013-05-20 20:17 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 20

maven assembly does include dependencies, but only after unpacking the .class files from their respective jars.

Trying this instead:  http://stackoverflow.com/questions/3558459/maven-packaging-dependencies-alongside-project-jar

#2 - 2013-05-21 17:15 - Rob Nahf

- Status changed from In Progress to Testing

- % Done changed from 20 to 90

added dependency exclusions to libclient_java pom, so that maven plugins and their dependencies aren't brought into the project.

still need to see if I can trim down some of the dependencies and get the javadocs into the assembly.

#3 - 2013-05-23 18:15 - Rob Nahf

- Status changed from Testing to Closed

- % Done changed from 90 to 100

- translation missing: en.field_remaining_hours set to 0.0

used the copy-dependencies and custom assembly configuration to good effect.

#4 - 2013-05-31 16:26 - Rob Nahf

- Target version changed from 2013.20-Block.3.2 to 2013.22-Block.3.3
